D-Bus 1.13.18

Data Fields
DBusGroupInfo Struct Reference
D-Bus secret internal implementation details » UNIX-specific internal API

Information about a UNIX group. More...

`#include <dbus-sysdeps-unix.h>`

## Data Fields
size_t | refcount
| Reference count. More...
dbus_gid_t | gid
| GID. More...
char * | groupname
| Group name. More...

## Detailed Description

Information about a UNIX group.

Definition at line 120 of file dbus-sysdeps-unix.h.

## Field Documentation

## ◆ gid

dbus_gid_t DBusGroupInfo::gid

GID.

Definition at line 123 of file dbus-sysdeps-unix.h.

Referenced by _dbus_get_group_id(), and _dbus_user_database_lookup_group().

## ◆ groupname

char* DBusGroupInfo::groupname

Group name.

Definition at line 124 of file dbus-sysdeps-unix.h.

Referenced by _dbus_group_info_free().

## ◆ refcount

size_t DBusGroupInfo::refcount

Reference count.

Definition at line 122 of file dbus-sysdeps-unix.h.

Referenced by _dbus_group_info_unref(), and _dbus_user_database_lookup_group().

The documentation for this struct was generated from the following file:

- dbus-sysdeps-unix.h